package hmggirlfront.gui;
 
import hmggirlfront.mod_GirlFront;
import hmggirlfront.items.ItemDollGunBase;
import net.minecraft.inventory.IInventory;
import net.minecraft.inventory.Slot;
import net.minecraft.item.ItemStack;
 
public class GFSlot_R extends Slot
{
	
	private IInventory inv;
	private int id = 0;
	
    public GFSlot_R(IInventory p_i1824_1_, int p_i1824_2_, int p_i1824_3_, int p_i1824_4_)
    {
        super(p_i1824_1_, p_i1824_2_, p_i1824_3_, p_i1824_4_);
        id = p_i1824_2_;
        inv = p_i1824_1_;
    }
 
    /**
     * Check if the stack is allowed to be placed in this slot, used for armor slots as well as furnace fuel.
     */
    public boolean isItemValid(ItemStack stack)
    {
    	boolean idd = !(getHasStack() && getStack().getItem() == mod_GirlFront.idoll_hp);
    	if(id == 0) {
    		idd = (!stack.isEmpty() && stack.getItem() instanceof ItemDollGunBase);
   		 }
		if (id == 1) {
			idd = (!stack.isEmpty() && stack.getItem() == mod_GirlFront.idoll_core);
		}
		
        //return TileEntityFurnace.isItemFuel(stack) || isBucket(stack);
    	return idd;
    }
    
}